%define		plugin		include
Summary:	DokuWiki Include Plugin
Summary(pl.UTF-8):	Wtyczka Include (dołączania) dla DokuWiki
Name:		dokuwiki-plugin-%{plugin}
Version:	20120902
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://github.com/dokufreaks/plugin-%{plugin}/tarball/master#/%{plugin}-%{version}.tgz
# Source0-md5:	3ff6adff1413be3be85041e291044a9d
URL:		http://www.dokuwiki.org/plugin:include
BuildRequires:	rpmbuild(macros) >= 1.520
Requires:	dokuwiki >= 20080505
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		dokudata	/var/lib/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This is a very simple yet handy plugin with which you can include
another wiki page into the current one.

%description -l pl.UTF-8
To jest bardzo prosta, ale pomocna wtyczka, przy pomocy której można
dołączyć inną stronę wiki do bieżącej.

%prep
%setup -qc
mv *-%{plugin}-*/* .

version=$(awk '/date/{print $2}' plugin.info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
#	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}
%{__rm} $RPM_BUILD_ROOT%{plugindir}/{COPYING,README}
%{__rm} -r $RPM_BUILD_ROOT%{plugindir}/_test

# find locales
%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force js cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%triggerpostun -- %{name} < 20110821
# http://www.dokuwiki.org/plugin:include says:
# It is recommended to delete all cache files in <dokuwiki>/data/cache directly
# after upgrading the plugin from an old version (before 2011)
# seems doku cache is one letter hex subdirs. nuke those
rm -rf %{dokudata}/cache/?

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%dir %{plugindir}
%{plugindir}/*.txt
%{plugindir}/*.php
%{plugindir}/*.css
%{plugindir}/*.js
%{plugindir}/conf
%{plugindir}/images
%{plugindir}/syntax
%changelog
* Thu Sep 06 2012 Elan Ruusamäe <glen@delfi.ee> fcbeec6
correct year

* Thu Sep 06 2012 Elan Ruusamäe <glen@delfi.ee> fc14b25
up to 20110902 snap

* Tue Mar 13 2012 Elan Ruusamäe <glen@pld-linux.org> c9b6c5e
- up to 20110821

* Tue Dec 14 2010 Elan Ruusamäe <glen@pld-linux.org> b2a607d
- 20101127 snapshot older n/a

* Tue Dec 14 2010 Elan Ruusamäe <glen@pld-linux.org> d3c3a8f
- up to 20101002, fixes include bug with dw-20101107

* Wed Sep 29 2010 Elan Ruusamäe <glen@pld-linux.org> 77e93dd
- up to 20091127

* Thu Feb 12 2009 Elan Ruusamäe <glen@pld-linux.org> cf22577
- update url

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> fed17c5
- add ca-va -> ca_VA

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 72fd3ed
- do not use subshell, so the exit code could be propagated

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> f3c6b9c
- refresh dw cache on install

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> 9fb6f08
- barf if lang files not found

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> db46f72
- up to 2009-01-26 rc

* Fri Sep 19 2008 duddits <duddits@pld-linux.org> fe29423
- fixed URL

* Tue Jul 22 2008 Jakub Bogusz <qboosh@pld-linux.org> 9c3dd1b
- outdated

* Tue Jul 22 2008 Elan Ruusamäe <glen@pld-linux.org> 63f8147
- update to 20080707

* Thu May 08 2008 Elan Ruusamäe <glen@pld-linux.org> 1be4231
- unify; rel 1

* Mon Mar 03 2008 Elan Ruusamäe <glen@pld-linux.org> 2994c0b
- add odt plugin support

* Mon Mar 03 2008 Elan Ruusamäe <glen@pld-linux.org> 547abce
- saved from http://wiki.splitbrain.org/plugin:odt

* Fri Jan 11 2008 Jakub Bogusz <qboosh@pld-linux.org> a384c34
- pl

* Tue Jan 08 2008 Elan Ruusamäe <glen@pld-linux.org> 187a015
- add sl-si -> sl

